import { EditorOptions } from './common/interfaces';
import EventManager from './EventManager';
import ZoomController from './controllers/ZoomController';
import BackgroundController from './controllers/BackgroundController';
import CanvasController from './controllers/CanvasController';
import FrameController from './controllers/FrameController';
declare class Editor extends EventManager {
    private handlers;
    private context;
    zoom: ZoomController;
    background: BackgroundController;
    canvas: CanvasController;
    frame: FrameController;
    constructor(props: EditorOptions);
    add: (options: any) => void;
    update: (options: any) => void;
    copy: () => void;
    copyStyle: () => void;
    cut: () => void;
    paste: () => void;
    clone: () => void;
    delete: () => void;
    clear: () => void;
    deselect: () => void;
    findByName: (name: string) => import("fabric/fabric-impl").Object[];
    removeByName: (name: string) => void;
    findById: (id: string) => import("fabric/fabric-impl").Object[];
    removeById: (id: string) => void;
    undo: () => void;
    redo: () => void;
    zoomIn: () => void;
    zoomOut: () => void;
    zoomToOne: () => void;
    zoomToFit: () => void;
    zoomToRatio: (zoomRatio: number) => void;
    alignTop: () => void;
    alignMiddle: () => void;
    alignBottom: () => void;
    alignLeft: () => void;
    alignCenter: () => void;
    alignRight: () => void;
    bringForward: () => void;
    bringToFront: () => void;
    sendBackwards: () => void;
    sendToBack: () => void;
    group: () => void;
    ungroup: () => void;
    lock: () => void;
    unlock: () => void;
    setGradient: (options: any) => void;
    setShadow: (options: any) => void;
    exportToJSON: () => {
        name: string;
        objects: any[];
        background: {
            type: string;
            value: string | import("fabric/fabric-impl").Pattern | import("fabric/fabric-impl").Gradient;
        };
        frame: {
            width: number;
            height: number;
        };
        metadata: {
            animated: boolean;
        };
    };
    importFromJSON: (data: any) => void;
    toSVG: () => void;
    toPNG: (options: any) => Promise<string>;
    toGif: (options: any) => Promise<unknown>;
    cancelContextMenu: () => void;
    destroy: () => void;
    animate: (name: any) => void;
}
export default Editor;
