export declare const PROPERTIES_TO_INCLUDE: string[];
export declare enum ObjectType {
    STATIC_VECTOR = "StaticVector",
    STATIC_GROUP = "StaticGroup",
    DYNAMIC_GROUP = "DynamicGroup",
    STATIC_PATH = "StaticPath",
    DYNAMIC_PATH = "DynamicPath",
    STATIC_IMAGE = "StaticImage",
    DYNAMIC_IMAGE = "DynamicImage",
    STATIC_TEXT = "StaticText",
    DYNAMIC_TEXT = "DynamicText",
    ACTIVE_SELECTION = "activeSelection",
    BACKGROUND = "Background",
    GROUP = "group",
    FRAME = "Frame"
}
export declare enum ObjectTypeAlt {
    STATIC_IMAGE = "image:static",
    DYNAMIC_IMAGE = "image:dynamic",
    TEXTAREA = "Textarea"
}
export declare const defaultEditorConfig: {
    clipToFrame: boolean;
    scrollLimit: number;
};
export declare const commonParams: {
    backgroundColor: string;
    fillRule: string;
    globalCompositeOperation: string;
    strokeDashArray: any;
    strokeDashOffset: number;
    strokeLineCap: string;
    strokeLineJoin: string;
    strokeMiterLimit: number;
    strokeUniform: boolean;
};
export declare const getCopyStyleCursor: () => string;
export declare const copyStyleProps: {
    StaticText: string[];
    DynamicText: string[];
    StaticImage: string[];
    DynamicImage: string[];
    StaticPath: string[];
};
