import { fabric } from 'fabric';
import { GradientOptions, ShadowOptions } from '../common/interfaces';
import BaseHandler from './BaseHandler';
declare class ObjectHandler extends BaseHandler {
    private clipboard;
    isCut: any;
    private copyStyleClipboard;
    add: (item: any) => Promise<void>;
    update: (options: any) => void;
    clear: () => void;
    deselect: () => void;
    moveVertical: (value: any) => void;
    moveHorizontal: (value: any) => void;
    updateLineHeight: (value: any) => void;
    updateCharSpacing: (value: any) => void;
    cut: () => void;
    copy: () => void;
    clone: () => void;
    private duplicate;
    paste: () => void;
    /**
     * Remove active object
     */
    remove: () => void;
    selectAll: () => void;
    copyStyle: () => void;
    pasteStyle: () => void;
    /**
     * OBJECT POSITION
     */
    /**
     * Moves an object or a selection up in stack of drawn objects.
     */
    bringForward: () => void;
    /**
     * Moves an object or the objects of a multiple selection to the top of the stack of drawn objects
     */
    bringToFront: () => void;
    /**
     * Moves an object or a selection down in stack of drawn objects.
     */
    sendBackwards: () => void;
    /**
     * Moves an object to specified level in stack of drawn objects.
     */
    sendToBack: () => void;
    /**
     * ALIGNMENT TO FRAME OR GROUP
     */
    /**
     * Moves an object to the top of the frame. If multiple objects are selected, will move all objects to the top of the selection.
     */
    alignTop: () => void;
    /**
     * Moves an object to the middle of the frame. If multiple objects are selected, will move all objects to the middle of the selection.
     */
    alignMiddle: () => void;
    /**
     * Moves an object to the bottom of the frame. If multiple objects are selected, will move all objects to the bottom of the selection.
     */
    alignBottom: () => void;
    /**
     * Moves an object to the left of the frame. If multiple objects are selected, will move all objects to the left of the selection.
     */
    alignLeft: () => void;
    /**
     * Moves an object to the center of the frame. If multiple objects are selected, will move all objects to the center of the selection.
     */
    alignCenter: () => void;
    /**
     * Moves an object to the right of the frame. If multiple objects are selected, will move all objects to the right of the selection.
     */
    alignRight: () => void;
    /**
     * SHADOW
     */
    setShadow: (options: ShadowOptions) => void;
    private setObjectShadow;
    /**
     * GRADIENT
     */
    setGradient: ({ angle, colors }: GradientOptions) => void;
    private setObjectGradient;
    group: () => void;
    ungroup: () => void;
    lock: () => void;
    unlock: () => void;
    findByName: (name: string) => fabric.Object[];
    removeByName: (name: string) => void;
    findById: (id: string) => fabric.Object[];
    removeById: (id: string) => void;
}
export default ObjectHandler;
