import { fabric } from 'fabric';
export declare class DynamicTextObject extends fabric.Textbox {
    static type: string;
    metadata: any;
    initiated: boolean;
    triggered: boolean;
    keyValues: any[];
    keys: any[];
    keysBounds: any[];
    prevKey: string;
    originalText: string;
    updateKeyValues(): void;
    setValuesForKeys(): any[];
    getParamsFromKeys(text: any): any[];
    updateParams(): void;
    updateKeys(): void;
    replaceKeyWithValue(key: any, value: any, id: any): false | {
        id: any;
        key: any;
        value: any;
        startIndex: number;
        endIndex: any;
    };
    replaceValueWithKeyForText(textLine: any): string;
    getKeysFromTextStyles(textSyles: any): any[];
    /**
     * Update text lines normalizing text and adding styles by text line
     */
    getUpdatedTextLines(): any[];
    setKeyBounds(): void;
    /**
     * Replace all values with keys
     */
    replaceValueWithKey(): void;
    updateExistingValues(): void;
    removeEmptyText(): void;
    handleKeyDown(e: any): void;
    getCanvasBoundingClientRect(): {
        left: number;
        top: number;
    };
    triggerKeysMenu(): void;
    insertKey(value: any): void;
    _set(key: any, value: any): fabric.Object;
    initialize(options: any): this;
    getText(): string;
    toObject(propertiesToInclude?: any[]): any;
    toJSON(propertiesToInclude?: any[]): any;
    static fromObject(options: any, callback: any): any;
}
export declare type DynamicTextOptions = fabric.ITextboxOptions & {
    text: string;
    metadata: any;
};
declare module 'fabric' {
    namespace fabric {
        class DynamicText extends DynamicTextObject {
            metadata: any;
            constructor(options: DynamicTextOptions);
        }
    }
}
