import { fabric } from 'fabric';
import { AnimationType } from '../common/interfaces';
export declare class FrameObject extends fabric.Rect {
    static type: string;
    initialize(options: FrameOptions): this;
    toObject(propertiesToInclude?: string[]): any;
    toJSON(propertiesToInclude?: string[]): any;
    static fromObject(options: FrameOptions, callback: any): any;
}
export interface FrameOptions extends fabric.IRectOptions {
    id: string;
    name: string;
    description?: string;
}
declare module 'fabric' {
    namespace fabric {
        class Frame extends FrameObject {
            constructor(options: FrameOptions);
        }
        interface Object {
            id: string;
            name: string;
            locked: boolean;
            animation: AnimationType;
        }
    }
}
