import { ObjectType } from '../common/constants';
declare class ExportObject {
    run(item: any, options: any, inGroup?: boolean): any;
    [ObjectType.STATIC_TEXT](item: any, options: any, inGroup: any): {
        metadata: any;
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.DYNAMIC_TEXT](item: any, options: any, inGroup: any): {
        metadata: any;
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.STATIC_IMAGE](item: any, options: any, inGroup: any): {
        metadata: {
            src: any;
            cropX: any;
            cropY: any;
        };
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.DYNAMIC_IMAGE](item: any, options: any, inGroup: any): {
        width: number;
        height: number;
        scaleX: number;
        scaleY: number;
        metadata: {
            originX: any;
            originY: any;
            angle: any;
            width: any;
            height: any;
            keyValues: any;
            keys: any;
        };
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        opacity: any;
        originX: any;
        originY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.STATIC_VECTOR](item: any, options: any, inGroup: any): {
        metadata: {
            src: any;
        };
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.STATIC_PATH](item: any, options: any, inGroup: any): {
        metadata: {
            value: any;
            fill: any;
        };
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.BACKGROUND](item: any, options: any, inGroup: any): {
        metadata: {
            fill: any;
        };
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    [ObjectType.GROUP](item: any, options: any, inGroup: any): {
        objects: any;
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
    getBaseOptions(item: any, options: any, inGroup?: boolean): {
        id: any;
        name: any;
        angle: any;
        stroke: any;
        strokeWidth: any;
        left: any;
        top: any;
        width: any;
        height: any;
        opacity: any;
        originX: any;
        originY: any;
        scaleX: any;
        scaleY: any;
        type: any;
        flipX: any;
        flipY: any;
        skewX: any;
        skewY: any;
        visible: any;
        animation: any;
    };
}
declare const _default: ExportObject;
export default _default;
